# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations


class Migration(migrations.Migration):

    dependencies = [
        ('showcase', '0004_auto_20151013_1531'),
    ]

    operations = [
        migrations.AddField(
            model_name='item',
            name='internal_link',
            field=models.CharField(help_text='use for link internal pages', max_length=255, null=True, verbose_name='Internal link', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name='linkedin_link',
            field=models.URLField(help_text='displayed only in thumb flat template', null=True, verbose_name='linkedin Link', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name='twitter_link',
            field=models.URLField(help_text='displayed only in thumb flat template', null=True, verbose_name='twitter Link', blank=True),
        ),
        migrations.AlterField(
            model_name='itemsettings',
            name='template_name',
            field=models.CharField(default=b'cms_plugins/showcase_item_list.html', max_length=150, verbose_name='Template', choices=[(b'showcase/cms_plugins/showcase_item_list.html', 'Showcase item list'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_list.html', 'B3 - Showcase by category list'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_list.html', 'B3 - Showcase by category thumb list'), (b'bootstrap3/showcase/cms_plugins/showcase_list_with_date.html', 'B3 - Showcase list with date'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_flat_list.html', 'B3 - Showcase flat thumb list')]),
        ),
    ]
