# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

SHOWCASE_CMSPLUGIN_TEMPLATES = [
    ("showcase/cms_plugins/showcase_item_list.html", _("Showcase item list"),),
]

SHOWCASE_CMSPLUGIN_BY_CATEGORY_TEMPLATES = [
    (
        "bootstrap3/showcase/cms_plugins/showcase_item_by_category_list.html",
        _("B3 - Showcase by category list"),
    ),
    (
        "bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_list.html",
        _("B3 - Showcase by category thumb list"),
    ),
    (
        "bootstrap3/showcase/cms_plugins/showcase_list_with_date.html",
        _("B3 - Showcase list with date"),
    ),
    (
        "bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_flat_list.html",
        _("B3 - Showcase flat thumb list"),
    ),
    (
        "bootstrap3/showcase/cms_plugins/showcase_thumb_icon.html",
        _("B3 - Showcase thumb icon"),
    ),
    (
        "bootstrap3/showcase/cms_plugins/showcase_thumb_with_rollover.html",
        _("B3 - Showcase thumb with rollover"),
    )
]

SHOWCASE_CMSPLUGIN_ALL_TEMPLATES = SHOWCASE_CMSPLUGIN_TEMPLATES + SHOWCASE_CMSPLUGIN_BY_CATEGORY_TEMPLATES


SHOWCASE_FILTER_CMSPLUGIN_TEMPLATES = (
    ("bootstrap3/showcase/cms_plugins/showcase_filter.html", _("B3 - Showcase filter"),),
)

SHOWCASE_CATEGORY_SELECT_FILTER_CMSPLUGIN_TEMPLATES = (
    ("bootstrap3/showcase/cms_plugins/showcase_category_select_filter.html", _("B3 - News category select filter")),
)

SHOWCASE_LINK_TYPES = (
    ('int', 'contenuto interno'),
    ('ext', 'contenuto esterno'),
    ('dld', 'contenuto scaricabile'),
)

SHOWCASE_ITEM_FILE_UPLOAD_TO = "showcase/file/"

SHOWCASE_ITEM_IMAGE_UPLOAD_TO = "showcase/img/"

SHOWCASE_ITEM_TALE_DEFAULT = "now"

SHOWCASE_ITEM_LARGE_IMAGE_CROPPING = '800x400'
SHOWCASE_ITEM_SMALL_IMAGE_CROPPING = '430x360'
SHOWCASE_ITEM_ICON_CROPPING = '100x100'

THUMBNAIL_PRESERVE_EXTENSIONS = True
THUMBNAIL_DEBUG = False
